ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk" <aonis...@hortonworks.com>
Subject Review Request 25229: YARN 2.0.6 service definition should not require Tez
Date Mon, 01 Sep 2014 12:37:52 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/25229/
-----------------------------------------------------------

Review request for Ambari and Dmytro Sen.


Bugs: AMBARI-7099
    https://issues.apache.org/jira/browse/AMBARI-7099


Repository: ambari


Description
-------

<https://github.com/apache/ambari/blob/trunk/ambari-
server/src/main/resources/stacks/HDP/2.0.6/services/YARN/metainfo.xml>

requiredServices includes TEZ

Tez does not exist in 2.0 Stack so Tez should not be a requirement here but
instead in the YARN definition in the extended stack for 2.1

A more broad question: does YARN require Tez in general? I didn't think so so
is the above even needed?

Isn't it that Tez requires YARN? Which you have correct here:

<https://github.com/apache/ambari/blob/trunk/ambari-
server/src/main/resources/stacks/HDP/2.1/services/TEZ/metainfo.xml>


Diffs
-----

  ambari-server/src/main/resources/stacks/HDP/2.0.6/services/YARN/metainfo.xml fc49b27 

Diff: https://reviews.apache.org/r/25229/diff/


Testing
-------

mvn clean test


Thanks,

Andrew Onischuk


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message